<?php global $data; ?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>" />
	
<?php if(!$data['theme-checkresponsive']){ ?>
	<!-- Mobile Specific Metas
  ================================================== -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
<?php } ?>  
  
	<?php if (is_search()) { ?>
	   <meta name="robots" content="noindex, nofollow" /> 
	<?php } ?>

	<title>
		   <?php
		      if (function_exists('is_tag') && is_tag()) {
		         single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
		      elseif (is_archive()) {
		         wp_title(''); echo ' Archive - '; }
		      elseif (is_search()) {
		         echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
		      elseif (!(is_404()) && (is_single()) || (is_page())) {
		         wp_title(''); echo ' - '; }
		      elseif (is_404()) {
		         echo 'Not Found - '; }
		      if (is_home()) {
		         bloginfo('name'); echo ' - '; bloginfo('description'); }
		      else {
		          bloginfo('name'); }
		      if ($paged>1) {
		         echo ' - page '. $paged; }
		   ?>
	</title>

	<?php if($data['favicon']): ?>
	<link rel="shortcut icon" href="<?php echo $data['favicon']; ?>" type="image/x-icon" />
	<?php endif; ?>	
	<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
	<?php if($data['iphone_icon']): ?>
	<!-- For iPhone -->
	<link rel="apple-touch-icon-precomposed" href="<?php echo $data['iphone_icon']; ?>">
	<?php endif; ?>

	<?php if($data['iphone_icon_retina']): ?>
	<!-- For iPhone 4 Retina display -->
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php echo $data['iphone_icon_retina']; ?>">
	<?php endif; ?>

	<?php if($data['ipad_icon']): ?>
	<!-- For iPad -->
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo $data['ipad_icon']; ?>">
	<?php endif; ?>

	<?php if($data['ipad_icon_retina']): ?>
	<!-- For iPad Retina display -->
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php echo $data['ipad_icon_retina']; ?>">
	<?php endif; ?>
	
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/bootstrap/css/bootstrap.css" type="text/css" />


    	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/shortcode.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/jquery.fancybox.css" type="text/css" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/sequencejs-theme.modern-slide-in.css" type="text/css" />
  
  <link href='http://fonts.googleapis.com/css?family=<?php echo urlencode($data['title_font']); ?>:400,400italic,700,700italic&amp;subset=latin,greek-ext,cyrillic,latin-ext,greek,cyrillic-ext,vietnamese' rel='stylesheet' type='text/css' />
  <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/jquery.bxslider.css" type="text/css" />
<?php include "style.php"; ?>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/<?php echo $data['rapid-skin']; ?>.css"/>    		
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>



<script src="<?php bloginfo('template_directory'); ?>/js/jquery.tools.min.js"></script>

<script src="<?php bloginfo('template_directory'); ?>/js/jquery.rating.pack.js"></script>


	<?php wp_head(); ?>
<!-- This JavaScript snippet activates those tabs -->

	<script>
    jQuery(document).ready(function($) {
			$(".nav-button").click(function () {
			$(".nav-button,.primary-nav").toggleClass("open");
			});    
		}); 
	</script>


<script>

$('.star').rating();



$('.star').click(function() {

  $("input#rating").val($(this).text());

});



$('div.rating-cancel a').click(function() {

  $("input#rating").val("").css("display","block");

});  



// perform JavaScript after the document is scriptable.

$(function() {

	// setup ul.tabs to work as tabs for each div directly under div.panes

	$("ul.tabs").tabs("div.panes > div");

	$("#accordion").tabs("#accordion div.pane", {tabs: 'h2', effect: 'slide', initialIndex: null});

});

</script>

</head>

	



<body <?php body_class() ?>>


	<div id="header-top-all" class="hidden-xs">

		<div id="header-top" class="container">
			<div class="col-sm-10">
            

          
                    <div id="mainnav">
        
                        <?php  wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
        
                    </div>
                    
                    


			</div>
            <div class="col-sm-2">	
                <div id="socialbox">
    
                    <ul>
    
                        <?php if($data['rapid-rss']<>""){ ?><li><a href="<?php echo $data['rapid-rss']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/rss-icon.png"></a></li><?php } ?>
    
                        <?php if($data['rapid-twitter']<>""){ ?><li><a href="<?php echo $data['rapid-twitter']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/twitter-icon.png"></a></li><?php } ?>
    
                    </ul>
    
                </div>			
			</div>

        </div>
    </div>
    



	<div id="header" class="container">
    
		<div class="col-sm-6">
            <div id="logo"><a href="<?php echo home_url(); ?>/">
    
    <?php if($data['logo']<>''){ ?>
    
            <img src="<?php echo $data['logo']; ?>" alt="Logo" class="img-responsive" />
    
    <?php }else{ ?>	
    
            <img src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.jpg" alt="Logo" class="img-responsive"/>
    
    <?php } ?>	
    
            </a></div>
    	</div>
        
        <div class="col-sm-6">
    <?php if($data['rapid-headerbanner']<>""){ ?>
    
            <div id="header-banner"><a href="<?php echo $data['rapid-urlheaderbanner']; ?>"><img src="<?php echo $data['rapid-headerbanner']; ?>" alt="Banner"></a></div>
    
    <?php } ?>
		</div>
        


	</div>

	<div id="nav" class="hidden-xs">
		<div id="primary-nav" class="container" >
            <div id="mainnav1" class="col-sm-12">
    
                <?php  wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'category' ) ); ?>
    
            </div>	
		</div>
	</div>
    

<div id="mprimary-nav-all" class="visible-xs">
  <div class="container">
    <div id="mprimary-nav" class="row"> 
      <button class="nav-button">Toggle Navigation</button>
      <?php wp_nav_menu( array( 'container_class' => 'primary-nav', 'theme_location' => 'primary' )); ?>		   
    </div>  
  </div>
</div>



<?php if(is_front_page()){ ?>	
  <?php if($data['theme-rotator']){ ?>

  <?php include $data['theme-slider']; ?>  
<?php }}else{ ?>


<?php } ?> 
<div class="container">