<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

//Testing 
$my_options_select = array("one","two","three","four","five"); 
$my_options_radio = array("slider1.php" => "Standard","slider2.php" => "Product","slider3.php" => "Carousel"); 

//Stylesheets Reader
$alt_stylesheet_path = STYLES;
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

/*-----------------------------------------------------------------------------------*/
/* TO DO: Add options/functions that use these */
/*-----------------------------------------------------------------------------------*/

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Image Alignment radio box
$my_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$my_options_image_link_to = array("image" => "The Image","post" => "The Post"); 

//$my_options_skin = array("default" => "Default","black" => "Black","blue" => "Blue","gray" => "Gray","limegreen" => "Lime Green","orange" => "Orange", "pink" => "Pink", "purple" => "Purple", "rasberry" => "Rasberry", "turquoise" => "Turquoise"); 

$my_options_skin = array("default" => "Default","red" => "Red"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $my_options;
$my_options = array();

$my_options[] = array( "name" => "General Settings",
                    "type" => "heading");
					
$my_options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => "logo",
					"std" => "",
					"type" => "upload");
					
$url =  ADMIN . 'images/';
$my_options[] = array( "name" => "Main Layout",
					"desc" => "Select main content and sidebar alignment. Choose between 2 or 3 column layout.",
					"id" => "layout",
					"std" => "2c-l-fixed.css",
					"type" => "images",
					"options" => array(
						'2c-r-fixed.css' => $url . '2cr.png',
						'2c-l-fixed.css' => $url . '2cl.png')
					);
$my_options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => "custom_favicon",
					"std" => "",
					"type" => "upload"); 
                                               
$my_options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => "google_analytics",
					"std" => "",
					"type" => "textarea");        


$my_options[] = array( "name" => "Footer Text",
                    "desc" => "You can use the following shortcodes in your footer text: [wp-link] [theme-link] [loginout-link] [blog-title] [blog-link] [the-year]",
                    "id" => "footer_text",
                    "std" => "&copy; 2011 Rapid Review Theme. All Rights Reserved.",
                    "type" => "textarea");                                                          
    
$my_options[] = array( "name" => "Styling Options",
					"type" => "heading");
								
$my_options[] = array( "name" => "Select Skin",
					"desc" => "Skin select box.",
					"id" => "rapid-skin",
					"std" => "default",
					"type" => "select2",
					"options" => $my_options_skin); 
													
$my_options[] = array( "name" => "Body Font",
					"desc" => "Specify the body font properties",
					"id" => "body_font",
					"std" => array('size' => '12px','face' => 'times','style' => 'normal','color' => '#222222'),
					"type" => "typography");  

$my_options[] = array( "name" => "Use image slider",
					"desc" => "Checked if use slider.",
					"id" => "rapid-rotator",
					"std" => true,
					"type" => "checkbox"); 
					
$my_options[] = array( "name" => "Select Slider",
					"desc" => "Slider select box.",
					"id" => "rapid-slider",
					"std" => "slider1.php",
					"type" => "select2",
					"options" => $my_options_radio);

$my_options[] = array( "name" => "Use rating product",
					"desc" => "Checked if use rating.",
					"id" => "rapid-rating",
					"std" => true,
					"type" => "checkbox"); 
					
$my_options[] = array( "name" => "Use list product rating",
					"desc" => "Checked if use product rating in hompegae (locating in bottom header).",
					"id" => "rapid-productrating",
					"std" => true,
					"type" => "checkbox"); 
																				
$my_options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => "custom_css",
                    "std" => "",
                    "type" => "textarea");
                                        
$my_options[] = array( "name" => "Standard Slider",
					"type" => "heading"); 	  					 


$my_options[] = array( "name" => "Rotator Image I  (935px x 395px)",
					"desc" => "Upload Image Rotator I",
					"id" => "rapid-rotator-image1",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image I",
					"desc" => "Enter text for title.",
					"id" => "rapid-more-title1",
					"std" => "",
					"type" => "text"); 
				
$my_options[] = array( "name" => "More Info I",
					"desc" => "URL link for more info button.",
					"id" => "rapid-more-info1",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Text I",
					"desc" => "Enter text for image rotator.",
					"id" => "rapid-video-info1",
					"std" => "",
					"type" => "text");
					
					
					
					
$my_options[] = array( "name" => "Rotator Image II  (935px x 395px)",
					"desc" => "Upload Image Rotator II",
					"id" => "rapid-rotator-image2",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image II",
					"desc" => "Enter text for title.",
					"id" => "rapid-more-title2",
					"std" => "",
					"type" => "text"); 
										
$my_options[] = array( "name" => "More Info II",
					"desc" => "URL link for more info button.",
					"id" => "rapid-more-info2",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Text II",
					"desc" => "Enter text for image rotator.",
					"id" => "rapid-video-info2",
					"std" => "",
					"type" => "text");
					
										
										
										
$my_options[] = array( "name" => "Rotator Image III  (935px x 395px)",
					"desc" => "Upload Image Rotator III",
					"id" => "rapid-rotator-image3",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image III",
					"desc" => "Enter text for title.",
					"id" => "rapid-more-title3",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "More Info III",
					"desc" => "URL link for more info button.",
					"id" => "rapid-more-info3",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Text III",
					"desc" => "Enter text for image rotator.",
					"id" => "rapid-video-info3",
					"std" => "",
					"type" => "text");
					
					
					
										
$my_options[] = array( "name" => "Rotator Image IV  (935px x 395px)",
					"desc" => "Upload Image Rotator IV",
					"id" => "rapid-rotator-image4",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image IV",
					"desc" => "Enter text for title.",
					"id" => "rapid-more-title4",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "More Info IV",
					"desc" => "URL link for more info button.",
					"id" => "rapid-more-info4",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Text IV",
					"desc" => "Enter text for image rotator.",
					"id" => "rapid-video-info4",
					"std" => "",
					"type" => "text");
					
					
										
$my_options[] = array( "name" => "Rotator Image V  (935px x 395px)",
					"desc" => "Upload Image Rotator V",
					"id" => "rapid-rotator-image5",
					"std" => "",
					"type" => "upload");																				

$my_options[] = array( "name" => "Title for Rotator Image V",
					"desc" => "Enter text for title.",
					"id" => "rapid-more-title5",
					"std" => "",
					"type" => "text"); 
										
$my_options[] = array( "name" => "More Info V",
					"desc" => "URL link for more info button.",
					"id" => "rapid-more-info5",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Text V",
					"desc" => "Enter text for image rotator.",
					"id" => "rapid-video-info5",
					"std" => "",
					"type" => "text");


$my_options[] = array( "name" => "Product Slider",
					"type" => "heading");


$my_options[] = array( "name" => "Title for Product Slider",
					"desc" => "Enter text for title.",
					"id" => "rapid-slider-title",
					"std" => "",
					"type" => "text"); 
										
$my_options[] = array( "name" => "URL for Product Slider",
					"desc" => "URL link for product slider.",
					"id" => "rapid-slider-url",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Text",
					"desc" => "Enter text for Product Slider.",
					"id" => "rapid-slider-info",
					"std" => "",
					"type" => "textarea");
					
$my_options[] = array( "name" => "Product Image I  (470px x 290px)",
					"desc" => "Upload Product Image I",
					"id" => "rapid-product-image1",
					"std" => "",
					"type" => "upload");	

$my_options[] = array( "name" => "Product Image II  (470px x 290px)",
					"desc" => "Upload Product Image II",
					"id" => "rapid-product-image2",
					"std" => "",
					"type" => "upload");	
					
$my_options[] = array( "name" => "Product Image III  (470px x 290px)",
					"desc" => "Upload Product Image III",
					"id" => "rapid-product-image3",
					"std" => "",
					"type" => "upload");	
					
$my_options[] = array( "name" => "Product Image IV  (470px x 290px)",
					"desc" => "Upload Product Image IV",
					"id" => "rapid-product-image4",
					"std" => "",
					"type" => "upload");																


$my_options[] = array( "name" => "Carousel Slider",
					"type" => "heading"); 

$my_options[] = array( "name" => "Select a Carousel Slider Category",
					"desc" => "A list of all the categories being used on blog page.",
					"id" => "rapid-carousel",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);
																				
$my_options[] = array( "name" => "Header Settings",
                    "type" => "heading");					
					

$my_options[] = array( "name" => "Twitter URL",
					"desc" => "Enter link URL.",
					"id" => "rapid-twitter",
					"std" => "",
					"type" => "text"); 

$my_options[] = array( "name" => "RSS URL",
					"desc" => "Enter link URL.",
					"id" => "rapid-rss",
					"std" => "",
					"type" => "text");
					
$my_options[] = array( "name" => "Header Bannner",
					"desc" => "Upload a banner for your theme",
					"id" => "rapid-headerbanner",
					"std" => "",
					"type" => "upload");					

$my_options[] = array( "name" => "Header Banner URL",
					"desc" => "Enter link URL.",
					"id" => "rapid-urlheaderbanner",
					"std" => "",
					"type" => "text"); 
											
	}
}
?>
